Get HSN Details
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/e-way-bill/tax-payer/hsn \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/e-way-bill/tax-payer/hsn"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/e-way-bill/tax-payer/hsn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"hsnCode": "1001",
"hsnDesc": "WHEAT AND MESLIN - Durum wheat :"
}
},
"timestamp": 1763446641000,
"transaction_id": "80a2b38f-7b5f-415e-afc1-8795d7049a68"
}Get HSN Details
With this API, you can pass the HSN/SAC code and get information for goods and services.
GET
/
gst
/
compliance
/
e-way-bill
/
tax-payer
/
hsn
Get HSN Details
Headers
E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.
API key for identification
API version
Query Parameters
HSN/SAC code
Example:
"997212"
Was this page helpful?
āI